CmsSpreadLeg Class Reference

helper class building a sequence of capped/floored cms-spread-rate coupons More...

`#include <ql/experimental/coupons/cmsspreadcoupon.hpp>`

## Public Member Functions

| CmsSpreadLeg (const Schedule &schedule, const ext::shared_ptr< SwapSpreadIndex > &swapSpreadIndex)
CmsSpreadLeg & | withNotionals (Real notional)
CmsSpreadLeg & | withNotionals (const std::vector< Real > &notionals)
CmsSpreadLeg & | withPaymentDayCounter (const DayCounter &)
CmsSpreadLeg & | withPaymentAdjustment (BusinessDayConvention)
CmsSpreadLeg & | withFixingDays (Natural fixingDays)
CmsSpreadLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
CmsSpreadLeg & | withGearings (Real gearing)
CmsSpreadLeg & | withGearings (const std::vector< Real > &gearings)
CmsSpreadLeg & | withSpreads (Spread spread)
CmsSpreadLeg & | withSpreads (const std::vector< Spread > &spreads)
CmsSpreadLeg & | withCaps (Rate cap)
CmsSpreadLeg & | withCaps (const std::vector< Rate > &caps)
CmsSpreadLeg & | withFloors (Rate floor)
CmsSpreadLeg & | withFloors (const std::vector< Rate > &floors)
CmsSpreadLeg & | inArrears (bool flag=true)
CmsSpreadLeg & | withZeroPayments (bool flag=true)
| operator Leg () const

## Detailed Description

helper class building a sequence of capped/floored cms-spread-rate coupons